Package dev.plex.world

# Class ConfigurationChunkGenerator

java.lang.Object
org.bukkit.generator.ChunkGenerator
dev.plex.world.CustomChunkGenerator
dev.plex.world.FlatChunkGenerator
dev.plex.world.BlockMapChunkGenerator
dev.plex.world.ConfigurationChunkGenerator

public class ConfigurationChunkGenerator extends BlockMapChunkGenerator

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bukkit.generator.ChunkGenerator

  `org.bukkit.generator.ChunkGenerator.BiomeGrid, org.bukkit.generator.ChunkGenerator.ChunkData`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private static final Plex`
  `plugin`

  ### Fields inherited from class dev.plex.world.BlockMapChunkGenerator

  `blockMap`

  ### Fields inherited from class dev.plex.world.CustomChunkGenerator

  `height`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationChunkGenerator(String worldName, org.bukkit.generator.BlockPopulator... populators)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `private static LinkedHashMap<org.bukkit.Material,Integer>`
  `createBlockMap(String worldName)`

  ### Methods inherited from class dev.plex.world.BlockMapChunkGenerator

  `createLoopChunkData`

  ### Methods inherited from class dev.plex.world.FlatChunkGenerator

  `generateSurface`

  ### Methods inherited from class dev.plex.world.CustomChunkGenerator

  `getDefaultPopulators`

  ### Methods inherited from class org.bukkit.generator.ChunkGenerator

  `canSpawn, createChunkData, createVanillaChunkData, generateBedrock, generateCaves, generateChunkData, generateNoise, getBaseHeight, getDefaultBiomeProvider, getFixedSpawnLocation, isParallelCapable, shouldGenerateBedrock, shouldGenerateCaves, shouldGenerateCaves, shouldGenerateDecorations, shouldGenerateDecorations, shouldGenerateMobs, shouldGenerateMobs, shouldGenerateNoise, shouldGenerateNoise, shouldGenerateStructures, shouldGenerateStructures, shouldGenerateSurface, shouldGenerateSurface`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### plugin

    private static final Plex plugin

- ## Constructor Details

  - ### ConfigurationChunkGenerator

    public ConfigurationChunkGenerator(String worldName, org.bukkit.generator.BlockPopulator... populators)

- ## Method Details

  - ### createBlockMap

    private static LinkedHashMap<org.bukkit.Material,Integer> createBlockMap(String worldName)